package com.chenyang.druid.sql.ast;

import java.util.List;

public abstract class SQLExprImpl extends SQLObjectImpl implements SQLExpr {
   public abstract boolean equals(Object var1);

   public abstract int hashCode();

   public abstract SQLExpr clone();

   public SQLDataType computeDataType() {
      return null;
   }

   public List<SQLObject> getChildren() {
      return null;
   }
}
